Skip to main content
POST
/
v1
/
audio
/
transcriptions
curl --request POST \
  --url 'https://api.elkapi.com/v1/audio/transcriptions' \
  --header 'Authorization: Bearer <token>' \
  --form 'file=@audio.mp3' \
  --form 'model=whisper-1' \
  --form 'language=language' \
  --form 'prompt=A small kitten running through a sunny garden, cinematic, highly detailed' \
  --form 'response_format=json' \
  --form 'temperature=1' \
  --form 'timestamp_granularities=word'
{
  "text": "Hello, please introduce yourself"
}

Documentation Index

Fetch the complete documentation index at: https://docs.elkapi.com/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST \
  --url 'https://api.elkapi.com/v1/audio/transcriptions' \
  --header 'Authorization: Bearer <token>' \
  --form 'file=@audio.mp3' \
  --form 'model=whisper-1' \
  --form 'language=language' \
  --form 'prompt=A small kitten running through a sunny garden, cinematic, highly detailed' \
  --form 'response_format=json' \
  --form 'temperature=1' \
  --form 'timestamp_granularities=word'
{
  "text": "Hello, please introduce yourself"
}

Authorizations

Authorization
string
required
All endpoints require Bearer Token authentication.Add it to the request headers:
Authorization: Bearer YOUR_API_KEY

Body

file
file
required
Audio file
model
string
default:"whisper-1"
required
Example: whisper-1
language
string
ISO-639-1 language code
prompt
string
response_format
string
default:"json"
Allowed values: json, text, srt, verbose_json, vtt
temperature
number
timestamp_granularities
array<string>

Response

text
string